package com.example.myapplication.database.room.repository.online

import androidx.paging.PagingData
import com.example.myapplication.database.room.model.item.ItemFromRent
import com.example.myapplication.database.room.model.rent.Rent
import kotlinx.coroutines.flow.Flow

interface RentRepository {
    fun getAllRents(userId: Int?): Flow<PagingData<Rent>>
    suspend fun getRent(uid: Int): List<ItemFromRent>
    suspend fun insertRent(rent: Rent): Long
    suspend fun deleteRent(rent: Rent)
}